@import url('https://fonts.googleapis.com/css2?family=Public+Sans:ital,wght@0,100..900;1,100..900&display=swap');

*{
    margin: 0;
    padding: 0;
    outline: none;
    border: none;
    text-decoration: none;
    box-sizing: border-box;
    font-family: "Public-sans", sans-serif;
    list-style: none;
    list-style-type: none;
}

/* HEAD */
.img-logo{
    width: 100px;
    margin: 0.5rem;;
}

.header{
    background: #09082b;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 5px 20px 0 40px;
    position: relative;
    z-index: 1001;
}

.header-txt1{
    display: flex;
    align-items: center;
    color: #ffff;
}

.header-txt2{
    text-align: right;
    align-items: center;
    color: #ffff;
}

.btn-exit{
    padding: 7px 2rem;
    background: #6663F8;
    border-radius: 1em;
    margin-top: 1em;
    transition: background-color 0.3s ease;
}

.header .btn-exit:hover{
    background: #0D09C8;
    box-shadow: 3px 3px 3px 3px #6663F8;
}

.exit{
    text-align: right;
    align-items: center;
    color: #fff;
}

/* FOOTER */
#footer {
  background-color: #09082b;
  color: #fff;
  text-align: center;
  padding: 20px;
}

#footer h4 {
  font-size: 20px;
  font-weight: 500;
}

.footer-social {
  display: flex;
  justify-content: center;
  gap: 20px;
}

.footer-social a img {
  width: 35px;
  height: 35px;
  transition: transform 0.3s ease, opacity 0.3s ease;
}

.footer-social a img:hover {
  transform: scale(1.1);
  opacity: 0.8;
}

/* MENÚ ESCRITORIO*/
.header-nav{
    background: #09082b;
    padding: 0;
    margin: 0;
}

.header-nav ul li:hover > ul{
    display: block;
}

.btn-option{
    border-radius: 2em 2em 0 0;
    background: #09082b;
    color: #ffff;
    width: 100%;
    padding: 10px 5px;
    cursor: pointer;
    transition: background-color 0.3s ease, color 0.3s ease;
}

.btn-option:hover,
.menu:hover > .btn-option,
.btn-option.active{
    background-color: #51338d;
    color: #ffff;
}

.nav-options{
    background: #09082b;
    display: flex;
    justify-content: space-between;
    width: 100%;
    color: #ffff;
    align-items: center;
    text-align: center;
}

.option{
    text-decoration: none;
    color: #ffff;
}

.btn-option:hover .option,
.btn-option:hover .title-option,
.menu:hover > .btn-option .option,
.menu:hover > .btn-option .title-option {
    color: #ffff;
}

.menu-icons{
    width: 30px;
    vertical-align: middle;
    margin-bottom: 5px;
}

.title-option{
    display: block;
}

.menu{
    align-self: flex-end;
    text-align: center;
    width: 10rem;
    position: relative; 
}

.submenu{
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    width: auto;
    min-width: 100%;
    background: rgba(9, 8, 43, 0.7);
    border-radius: 0 0 8px 8px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.5);
    z-index: 1000;
    text-align: left;
}

.submenu li{
    float: none;
    width: 100%;
}

.submenu li a {
    display: block;
    padding: 12px 20px;
    color: #fff;
    white-space: nowrap;
    text-align: left;
    transition: background-color 0.3s ease;
}

.submenu li a:hover{
    background-color: #5e17eb;
}

.nav-options > .menu:last-child > .submenu {
    left: auto;
    right: 0;
}

.btn-exit-movil{
    display: none;
}

/* MENÚ MÓVIL */
.menu-toggle {
    display: none;
    background: none;
    border: none;
    cursor: pointer;
    padding: 10px;
    z-index: 1002;
}

.menu-toggle .bar {
    display: block;
    width: 25px;
    height: 3px;
    background-color: #6663F8;
    margin: 5px 0;
    transition: 0.4s;
}

.menu-toggle.active .bar:nth-child(1) {
    transform: rotate(45deg) translate(5px, 5px);
}

.menu-toggle.active .bar:nth-child(2) {
    opacity: 0;
}

.menu-toggle.active .bar:nth-child(3) {
    transform: rotate(-45deg) translate(6px, -6px);
}

/* PAGINAS */
.section{
    display: block;
    background: #e6e6e6;
    padding-bottom: 20px;
    min-height: 200vh;
}

.title-pag{
    padding: 10px;
    display: flex;
    text-align: center;
    justify-content: center;
    font-size: 2rem;
    background: #51338d;
    color: #ffff;
}

/* INDEX */
.bienvenida{
    background: #e6e6e6;
    display: block;
    justify-content: center;
    text-align: center;
    margin: 0;
}

.img{
    margin: 2rem 0;
    width: 450px;
}

.txt-pag{
    font-size: 2.8rem;
}

/* INDICE DE COMPETITIVIDAD ESTATAL */
.indicadores{
    display: flex;
    justify-content: center;
}

.btn-indicadores{
    background: #09082b;
    width: 30rem;
    border-radius: 24px;
    display: flex;
    text-align: center;
    align-items: center;
    justify-content:center;
    padding: 9px;
    margin: 5px;
}

.btn-indicadores.is-checked2 {
    background-color: #5e17eb;
    color: #ffffff;
}

.text-indicadores{
    font-size: 20px;
    color: #fff;
}

/* OBJETIVOS RECTORES */
.img-objetivos{
    width: 100%;
    display: flex;
    justify-content: center;
    margin-top: 1rem;
}

.content-container{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

.image-column{
    flex: 1;
    margin-left: 0.5rem;
}

.img-colm-obj{
    width: 500px;
}

.tableau-column{
    flex: 2;
    height: 527px;
    width: 100%;
}

/**======================= M Ó V I L =======================**/
@media (max-width: 768px){
    /* HEAD */
    .header{
        padding: 5px 0 0 10px;
    }

    .header-title{
        font-size: 0.9rem;
    }

    .header-monitoreo{
        font-size: 0.9rem;
    }

    .img-logo{
        width: 80px;
        margin: 0.5rem;
    }

    .header-txt2{
        display: none;
    }

    .btn-exit{
        display: none;
    }

    /* FOOTER */
    #footer {
        padding: 10px;
    }
    #footer h4 {
        font-size: 15px;
    }

    /* MENÚ */
    .menu-toggle{
        display: block;
    }

    .header-nav{
        display: none;
        position: absolute;
        right: 0;
        width: 230px;
        background: #09082b;
        transform: translateX(100%);
        transition: transform 0.3s ease-in-out;
        z-index: 1002;
    }

    .header-nav.is-open {
        display: block;
        transform: translateX(0) !important;
        z-index: 1002;
    }

    .nav-options{
        flex-direction: column;
        align-items: flex-start;
        z-index: 1003;
    }

    .menu{
        width: 100%;
        text-align: left;
    }

    .btn-option{
        width: 100%;
        border-radius: 0;
        padding: 5px;
    }

    .btn-option:hover, .menu:hover > .btn-option, .btn-option.active {
        background-color: #09082b;
        color: #ffff;
    }

    .btn-exit-movil{
        display: block;
        padding: 7px 2rem;
        background: #6663F8;
        border-radius: 1rem;
        margin: 0.5rem;
    }

    .submenu {
        position: static;
        background: rgba(255, 255, 255, 0.1);
        font-size: 15px;
        width: 100%;
        border-left: 3px solid #6663F8;
        margin-top: 5px;
        z-index: 1004;
    }

    .submenu.is-open {
        display: block !important;
        max-height: 500px;
        opacity: 1;
        visibility: visible;
        transition: max-height 0.3s ease, opacity 0.3s ease;
        z-index: 1004;
    }

    .title-option{
        display: inline;
    }

    .submenu li a {
        display: block;
        padding: 5px;
        color: #fff;
        text-align: left;
        white-space: normal;
        word-break: break-word;
        z-index: 1004;
    }

    .header-nav ul li:hover > ul {
        display: none;
    }

    /* PAGINAS */
    .section{
        min-height: 100vh;
    }

    .title-pag{
        font-size: 0.6rem;
    }

    /* INDEX */
    .bienvenida{
        display: block;
        min-height: 100vh;
        overflow: hidden;
    }

    .img{
        margin: 6rem 0 1rem;
        width: 300px;
    }

    .txt-pag{
        font-size: 1.5rem;
    }

    /* ÍNDICE DE CPOMPETITIVIDAD ESTATAL */
    .text-indicadores {
        font-size: 14px;
    }

    /* OBJETIVO RECTORES */
    .content-container{
        display: block;
    }

    .img-objetivos{
        margin-top: 1rem;
    }

    .image-column {
        margin-left: 0rem;
        min-width: 50px;
        max-width: 90%;
        justify-self: center;
    }

    .img-colm-obj{
        width: 300px;
        margin-top: 0.5rem;
    }

    .tableau-column{
        display: grid;
    }
}